Subject: Re: [PATCH net-next] net: macb: allow MTU changes while the interface is running

From: Jakub Kicinski <[email-masked]>
Date: Tue, 17 Mar 2026 16:23:03 -0700

On Tue, 17 Mar 2026 23:58:21 +0100 Nicolai Buchwitz wrote:
> On 17.3.2026 23:23, Jakub Kicinski wrote:
> > On Tue, 17 Mar 2026 18:00:02 +0100 Théo Lebrun wrote:  
> >> Reviewed-by: Théo Lebrun <[email-masked]>  
> > 
> > I told you recently that open / close is not allowed.
> > So why are you putting a rb tag on a patch which does exactly that?
> > 
> > https://lore.kernel.org/all/[email-masked]/  
> 
> Just checking if I got the idea before submitting another approach.
> Something like:

Hm, not really. Take a look at fbnic_set_ringparam()
You need some struct that's config + pointers to all the resources.
And make all allocation helpers operate on that without touching the HW.
Then you can just allocate a new struct, give it whatever config you
need, call all the alloc helpers with it. Now you have a fully
populated struct and haven't touched the HW yet at all. Stop HW, 
swap the resources, start HW.

I did something similar for the nfp driver but that code has been
slightly adulterated since I left Netronome so fbnic is clearer :)